com.ibm.openpages.api.security

## Interface IUser

- All Superinterfaces:
    ISecurityPrincipal

      public interface IUser
      extends ISecurityPrincipal

  Interface for user-level security information.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canChangePassword()` Verifies if password can be changed.
    `void` | `changePassword(java.lang.String newPassword)` Changes the user password to the one specified as an argument.
    `int` | `getAdminLevel()` Returns the administration level associated to this user.
    `java.lang.String` | `getDescription()` Returns description information about the account.
    `java.lang.String` | `getDisplayName()` Returns the display name according to application text information com.display.name.format
    `java.lang.String` | `getDisplayName(java.util.Locale locale)` Returns the display name according to application text information com.display.name.format on the specified locale
    `java.lang.String` | `getEmailAddress()` Returns the email address associated with a user.
    `java.lang.String` | `getFirstName()` Returns the first name of the user.
    `java.util.List<Id>` | `getGroupIds()` Returns a list of group Ids that the user belongs to.
    `java.util.Iterator<IGroup>` | `getGroups()` Returns all the groups the user belongs to.
    `Id` | `getId()` Returns OpenPages system Id of the user.
    `java.lang.String` | `getLastName()` Returns the last name of the user.
    `java.lang.String` | `getMiddleName()` Returns the middle name of the user.
    `java.util.Date` | `getPasswordCreationDate()` Returns creation date for user password.
    `java.util.Iterator<IRoleAssignment>` | `getRoleAssignments()` Returns all role assignments for a user.
    `java.util.Iterator<IRoleTemplate>` | `getRoleTemplates()` Returns all roles for a user.
    `boolean` | `isLocked()` Returns lock status.
    `boolean` | `isMember(IGroup group)` Verifies membership to the specified group.
    `boolean` | `isPasswordChangeFromAdmin()` Verifies if the last password change was performed by an administrator.
    `boolean` | `isSecurityAdministrator()` Verifies if the user is a security administrator.
    `boolean` | `isTemporaryPassword()` Verifies if password is temporary.
    `void` | `lock()` Locks user-level security information.
    `java.util.Date` | `passwordCreatedOn()` Returns the creation date for a password.
    `int` | `passwordExpiresInDays()` Returns password duration in days.
    `void` | `setCanChangePassword(java.lang.Boolean canChangePassword)` Sets whether a password can be changed
    `void` | `setDescription(java.lang.String description)` Sets description information about the account.
    `void` | `setEmailAddress(java.lang.String emailAddress)` Sets the email address associated with a user.
    `void` | `setFirstName(java.lang.String firstName)` Sets the first name of the user.
    `void` | `setIsTemporaryPassword(java.lang.Boolean isTemporaryPassword)` Sets whether a password is temporary
    `void` | `setLastName(java.lang.String lastName)` Sets the last name of the user.
    `void` | `setLocale(java.util.Locale locale)` Sets locale information associated with the user.
    `void` | `setMiddleName(java.lang.String middleName)` Sets the middle name of the user.
    `void` | `setPasswordExpiresInDays(java.lang.Integer days)` Sets password duration in days.
    `void` | `unlock()` Unlocks user-level security information.
    `void` | `update()` Updates user information in the OpenPages database.

    - ### Methods inherited from interface com.ibm.openpages.api.security.ISecurityPrincipal

      `disable, enable, getAdminPermissions, getCreatedOn, getLocale, getName, getPermissionIds, getPermissions, isDeleted, isEditable, isEnabled, isHidden, revokeAdminPermissions, setName`

- - ### Method Detail

    - #### changePassword

          void changePassword(java.lang.String newPassword)

      Changes the user password to the one specified as an argument.
      Parameters:
        `newPassword` - new assigned password

    - #### isMember

          boolean isMember(IGroup group)

      Verifies membership to the specified group.
      Parameters:
        `group` -
      Returns:
        true if the user belongs to the specified group; otherwise, returns false

    - #### update

          void update()

      Updates user information in the OpenPages database.

    - #### isSecurityAdministrator

          boolean isSecurityAdministrator()

      Verifies if the user is a security administrator. A security administrator should have at least one administrator permissions.
      Returns:
        true if the user has administrator permission; otherwise, returns false

    - #### getFirstName

          java.lang.String getFirstName()

      Returns the first name of the user.
      Returns:
        String

    - #### setFirstName

          void setFirstName(java.lang.String firstName)

      Sets the first name of the user.
      Parameters:
        `firstName` - user's first name

    - #### getLastName

          java.lang.String getLastName()

      Returns the last name of the user.
      Returns:
        String

    - #### setLastName

          void setLastName(java.lang.String lastName)

      Sets the last name of the user.
      Parameters:
        `lastName` - user's last name

    - #### getMiddleName

          java.lang.String getMiddleName()

      Returns the middle name of the user.
      Returns:
        String

    - #### setMiddleName

          void setMiddleName(java.lang.String middleName)

      Sets the middle name of the user.
      Parameters:
        `middleName` - user's middle name

    - #### passwordCreatedOn

          java.util.Date passwordCreatedOn()

      Returns the creation date for a password.
      Returns:
        creation date

    - #### passwordExpiresInDays

          int passwordExpiresInDays()

      Returns password duration in days.
      Returns:
        an integer representing the number of days remaining before password expiration

    - #### setPasswordExpiresInDays

          void setPasswordExpiresInDays(java.lang.Integer days)

      Sets password duration in days.
      Parameters:
        `an` - integer representing the number of days remaining before password expiration

    - #### canChangePassword

          boolean canChangePassword()

      Verifies if password can be changed.
      Returns:
        true if the password can be changed; otherwise, returns false

    - #### setCanChangePassword

          void setCanChangePassword(java.lang.Boolean canChangePassword)

      Sets whether a password can be changed
      Parameters:
        `canChangePassword` -

    - #### isTemporaryPassword

          boolean isTemporaryPassword()

      Verifies if password is temporary.
      Returns:
        true if the password is temporary; otherwise, returns false

    - #### setIsTemporaryPassword

          void setIsTemporaryPassword(java.lang.Boolean isTemporaryPassword)

      Sets whether a password is temporary
      Parameters:
        `isTemporaryPassword` -

    - #### isPasswordChangeFromAdmin

          boolean isPasswordChangeFromAdmin()

      Verifies if the last password change was performed by an administrator.
      Returns:
        true if the last password change was performed by an administrator; otherwise, returns false

    - #### lock

          void lock()

      Locks user-level security information.

    - #### unlock

          void unlock()

      Unlocks user-level security information.

    - #### setLocale

          void setLocale(java.util.Locale locale)

      Sets locale information associated with the user.
      Parameters:
        `locale` -

    - #### getRoleAssignments

          java.util.Iterator<IRoleAssignment> getRoleAssignments()

      Returns all role assignments for a user.
      Returns:
        Iterator

    - #### getRoleTemplates

          java.util.Iterator<IRoleTemplate> getRoleTemplates()

      Returns all roles for a user.
      Returns:
        Iterator

    - #### getEmailAddress

          java.lang.String getEmailAddress()

      Returns the email address associated with a user.
      Returns:
        user's email address

    - #### setEmailAddress

          void setEmailAddress(java.lang.String emailAddress)

      Sets the email address associated with a user.
      Parameters:
        `emailAddress` -

    - #### getDescription

          java.lang.String getDescription()

      Returns description information about the account.
      Returns:
        account description

    - #### setDescription

          void setDescription(java.lang.String description)

      Sets description information about the account.
      Parameters:
        `description` -

    - #### getAdminLevel

          int getAdminLevel()

      Returns the administration level associated to this user.
      Returns:
        an integer representing the user's administration level

    - #### getId

          Id getId()

      Returns OpenPages system Id of the user.
      Specified by:
        `getId` in interface `ISecurityPrincipal`
      Returns:
        Id of the user

    - #### isLocked

          boolean isLocked()

      Returns lock status.
      Returns:
        true if account is locked; otherwise, returns false

    - #### getPasswordCreationDate

          java.util.Date getPasswordCreationDate()

      Returns creation date for user password.
      Returns:
        Date

    - #### getGroups

          java.util.Iterator<IGroup> getGroups()

      Returns all the groups the user belongs to.
      Returns:
        Iterator

    - #### getGroupIds

          java.util.List<Id> getGroupIds()

      Returns a list of group Ids that the user belongs to.
      Returns:
        List

    - #### getDisplayName

          java.lang.String getDisplayName()

      Returns the display name according to application text information com.display.name.format
      Returns:
        The parsed display name string

    - #### getDisplayName

          java.lang.String getDisplayName(java.util.Locale locale)

      Returns the display name according to application text information com.display.name.format on the specified locale
      Returns:
        The parsed display name string
      Since:
        8.0.0.2

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.